QXmppIncomingServer Class Reference

The QXmppIncomingServer class represents an incoming XMPP stream from an XMPP server. More...

`#include <QXmppIncomingServer.h>`

Inheritance diagram for QXmppIncomingServer:

List of all members.

## Signals

void | dialbackRequestReceived (const QXmppDialback &result)
| This signal is emitted when a dialback verify request is received.
void | elementReceived (const QDomElement &element)
| This signal is emitted when an element is received.

## Public Member Functions

| QXmppIncomingServer (QSslSocket *socket, const QString &domain, QObject *parent)
| ~QXmppIncomingServer ()
| Destroys the current stream.
bool | isConnected () const
QString | localStreamId () const

## Detailed Description

The QXmppIncomingServer class represents an incoming XMPP stream from an XMPP server.

## Constructor & Destructor Documentation

QXmppIncomingServer::QXmppIncomingServer | ( | QSslSocket * | socket,
|  | const QString & | domain,
|  | QObject * | parent
| ) |  |

Constructs a new incoming server stream.

Parameters:

  socket | The socket for the XMPP stream.
  domain | The local domain.
  parent | The parent QObject for the stream (optional).

## Member Function Documentation

bool QXmppIncomingServer::isConnected | ( |  | ) | const`[virtual]`

Returns true if the socket is connected and the remote server is authenticated.

Reimplemented from QXmppStream.

QString QXmppIncomingServer::localStreamId | ( |  | ) | const

Returns the stream's identifier.

The documentation for this class was generated from the following files:

- QXmppIncomingServer.h
- QXmppIncomingServer.cpp

All Classes Functions Enumerations Enumerator Properties